%article-icon {
    width: $text-size-smaller;
    height: $text-size-smaller;
}

.page-article {
    &-icon {
        &-center {
            @extend %article-icon;
        }

        &-left {
            @extend %article-icon;
            margin-right: 0.8em;
        }

        &-right {
            @extend %article-icon;
            margin-left: 0.8em;
        }
    }

    &-link {
        display: inline-block;

        &-text {
            white-space: normal;
        }

        &-icon {
            position: relative;
            top: -0.5em;
            left: 0.15em;
            font-size: 0.6em;
            max-width: 1em;
            max-height: 1em;
        }
    }

    &-info {
        display: flex;
        justify-content: space-between;
        margin: 2em 0;

        &-left {
            display: flex;
            font-size: $text-size-smaller;
            color: var(--color-fg-secondary);
            align-items: center;
        }

        &-right {
            a {
                display: flex;
                align-items: center;
                color: var(--color-fg-primary);
                text-decoration: none;
                background-color: var(--color-bg-shade-1);
                padding: 0.8em 1.5em;
                border-radius: 0.5em;
            }
        }

        &-time {
            display: flex;
            align-items: center;
            white-space: nowrap;
        }

        &-separator {
            margin: 0 0.5em;
        }

        &-translations {
            display: flex;
            align-items: center;
            flex-wrap: wrap;

            &-list {
                display: flex;

                &-item {
                    display: flex;
                    margin-left: 0.8em;
                    width: 1em;
                    height: 1em;

                    svg {
                        border-radius: 50%;
                        background-color: transparent;
                    }
                }
            }
        }
    }

    &-body {
        // Complete style for markdowned content

        img {
            display: block;
            margin: $content-margin auto;
            max-width: 80%;
            max-height: 80%;

            @media screen and (max-width: $content-width-max-md) {
                max-width: 90%;
                max-height: 90%;
            }

            @media screen and (max-width: $content-width-max-sm) {
                max-width: 100%;
                max-height: 100%;
            }
        }

        figure {
            & > figcaption {
                color: var(--color-fg-secondary);
                text-align: center;
            }
        }

        blockquote {
            display: block;
            background-color: var(--color-bg-secondary);
            border-radius: $content-border-radius;
            border-left: solid $content-border-radius var(--color-fg-shade-1);
            padding: 0.4em 0.6em;
            margin: 0.8em 0;

            p {
                margin: 0;
            }
        }

        li {
            margin: 0.25em 0;

            // Prevent p blocks inside to wreck the layout
            p {
                margin: 0;
                &:first-child {
                    display: inline;
                }
            }
        }

        ul,
        ol {
            list-style-position: inside;
            margin: $content-margin 0;
        }

        ul {
            list-style-type: disc;

            & > li ul {
                margin: 0;
            }

            & > li li {
                margin-left: 1em;
            }

            & > li > input {
                margin-right: 1em;
            }

            & > li > ul {
                list-style-type: square;
            }
        }

        hr {
            margin: 1.5 * $content-margin $content-margin;
            border: none;
            border-top: 1px solid var(--color-fg-secondary);
        }

        code {
            font-family: #{$font-family-mono};
            background: var(--color-bg-secondary);
            white-space: nowrap;
            padding: 0.1em 0.25em;
            border-radius: $content-border-radius;
            tab-size: 4;
        }

        pre {
            max-height: 50vh;
            margin: $content-margin 0;
            overflow: auto;
            box-sizing: border-box;
            border-radius: $content-border-radius;

            background-color: var(--color-bg-secondary);

            code {
                // Hacky way to prevent code width bounding pre width
                display: block;
                width: 0;

                white-space: pre;
                word-spacing: normal;
                word-break: normal;
                word-wrap: normal;
                hyphens: none;
                padding: 0;
                margin: $content-margin;
            }
        }

        table,
        th,
        td {
            border-bottom: solid 1px var(--color-fg-secondary);
            border-collapse: collapse;
            padding: 0.5em 0.8em;
        }

        table {
            margin: auto;
        }

        dl {
            margin: $content-margin 0;
            dt {
                margin: 0.2em 0;
                font-weight: bold;
            }

            dd {
                margin: 0 0 $content-margin 0.2em;
                padding: 0.5em;
                border-radius: 0 0 0 $content-border-radius;
                border-left: solid $content-border-radius var(--color-fg-shade-1);

                // Hack because else it's ulgy
                p:first-child {
                    margin-top: 0;
                }

                p:last-child {
                    margin-bottom: 0;
                }
            }
        }
    }

    &-meta {
        color: var(--color-fg-secondary);

        border: 1px var(--color-fg-secondary);
        border-style: solid none;

        padding: 1em 0;
        margin: 3em 0 1em 0;

        @media print {
            display: none;
        }

        a {
            color: var(--color-fg-secondary);
            text-decoration: underline;
        }

        &-item {
            display: flex;
            align-items: center;
            margin: 0.6em 0;
        }
    }

    &-navigation {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin: 1em 0;

        @media print {
            display: none;
        }

        &-prev,
        &-next {
            flex: 1 auto;
            margin: 0 auto;

            a {
                display: flex;
                align-items: center;
                color: var(--color-fg-primary);
                text-decoration: none;
                background-color: var(--color-bg-shade-1);
                padding: 1em;
                margin: 0.5em;
                border-radius: 0.5em;
            }
        }

        &-prev > a {
            justify-content: flex-end;
        }

        &-next > a {
            justify-content: flex-start;
        }
    }
}
